<?php
/**
 * @Packge     : Metize
 * @Version    : 1.0
 * @Author     : Metize
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */


// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit;
}

function metize_widgets_init() {

    if( class_exists('ReduxFramework') ) {
        $metize_sidebar_widget_title_heading_tag = metize_opt('metize_sidebar_widget_title_heading_tag');
    } else {
        $metize_sidebar_widget_title_heading_tag = 'h4';
    }

    //sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Blog Sidebar', 'metize' ),
        'id'            => 'metize-blog-sidebar',
        'description'   => esc_html__( 'Add Blog Sidebar Widgets Here.', 'metize' ),
        'before_widget' => '<div id="%1$s" class="sidebar-item %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<'.esc_attr($metize_sidebar_widget_title_heading_tag). ' class="title">',
        'after_title'   => '</'.esc_attr($metize_sidebar_widget_title_heading_tag).'>',
    ) );

    // page sidebar widgets register
    register_sidebar( array(
        'name'          => esc_html__( 'Page Sidebar', 'metize' ),
        'id'            => 'metize-page-sidebar',
        'description'   => esc_html__( 'Add Page Sidebar Widgets Here.', 'metize' ),
        'before_widget' => '<div id="%1$s" class="sidebar-item %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h4 class="title">',
        'after_title'   => '</h4>',
    ) );

    if( class_exists( 'ReduxFramework' ) ){
        // footer widgets register
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 1', 'metize' ),
           'id'            => 'metize-footer-1',
           'before_widget' => '<div class="col-lg-3 col-md-6 footer-item mt-50"><div id="%1$s" class="widget footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 2', 'metize' ),
           'id'            => 'metize-footer-2',
           'before_widget' => '<div class="col-lg-3 col-md-6 mt-50 footer-item pl-50 pl-md-15 pl-xs-15"><div id="%1$s" class="f-item link footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 3', 'metize' ),
           'id'            => 'metize-footer-3',
           'before_widget' => '<div class="col-lg-3 col-md-6 footer-item  mt-50"><div id="%1$s" class=" footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Footer Widgets Area 4', 'metize' ),
           'id'            => 'metize-footer-4',
           'before_widget' => '<div class="col-lg-3 col-md-6 footer-item mt-50"><div id="%1$s" class="f-item footer-widget %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Offcanvas Item Widgets Area', 'metize' ),
           'id'            => 'metize-offcanvus-area',
           'before_widget' => '<div class="widget %2$s"><div id="%1$s" class="offcanvas-sidebar">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="title">',
           'after_title'   => '</h4>',
        ) );
        register_sidebar( array(
           'name'          => esc_html__( 'Service Widgets Area', 'metize' ),
           'id'            => 'metize-service-area',
           'before_widget' => '<div class="single-widget"><div id="%1$s" class="services-sidebar %2$s">',
           'after_widget'  => '</div></div>',
           'before_title'  => '<h4 class="widget-title">',
           'after_title'   => '</h4>',
        ) );
    }

}

add_action( 'widgets_init', 'metize_widgets_init' );